Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026471
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2014-05-06 12:262014-05-16 09:36
ReportercaristuView Statuspublic 
Assigned Todbaz 
PriorityhighResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchpiFixed in SCM revision71ac85d89457
ProjectionnoneETAnoneTarget Version3.0PR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026471: Timezone offset is substracted in date time widget when editing an Absolute Date Time field

DescriptionHaving the server and the client in different time zones, the date time widget does not behave correctly for Absolute Date Time fields when editing them:
the timezone offset is subtracted every time we edit the field.
Steps To Reproduce1) Configure the server in timezone GMT
2) Configure the client in a different timezone from the server, for example GMT+2

As group admin:
3) Go to any window with an Absolute Date time field.
4) Give a value for the field and save the record.
5) Click on the edit button, notice that in the date time widget, the time appears decreased in two hours (timezone offset).
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0067111)
hgbot (developer)
2014-05-13 15:00

Repository: erp/devel/pi
Changeset: 71ac85d89457ac343e5c0ebf9d67a1f100efc73b
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Tue May 13 15:00:15 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/71ac85d89457ac343e5c0ebf9d67a1f100efc73b [^]

Fixed issue 26471: Absolute DateTime Time DatePicker now works ok

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-date.js
---
(0067164)
hudsonbot (developer)
2014-05-15 17:34

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8d6658b982c0 [^]
Maturity status: Test
(0067202)
alostale (developer)
2014-05-16 09:36

Code reviewed

Tested with different server<->client timezone offsets

- Issue History
Date Modified Username Field Change
2014-05-06 12:26 caristu New Issue
2014-05-06 12:26 caristu Assigned To => AugustoMauch
2014-05-06 12:26 caristu Modules => Core
2014-05-06 12:26 caristu Triggers an Emergency Pack => No
2014-05-06 12:26 caristu Issue Monitored: networkb
2014-05-08 12:58 guillermogil Assigned To AugustoMauch => guillermogil
2014-05-09 10:26 guillermogil Assigned To guillermogil => dbaz
2014-05-13 14:58 dbaz Review Assigned To => alostale
2014-05-13 14:58 dbaz Issue Monitored: alostale
2014-05-13 15:00 hgbot Checkin
2014-05-13 15:00 hgbot Note Added: 0067111
2014-05-13 15:00 hgbot Status new => resolved
2014-05-13 15:00 hgbot Resolution open => fixed
2014-05-13 15:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/71ac85d89457ac343e5c0ebf9d67a1f100efc73b [^]
2014-05-14 17:35 dbaz Note Added: 0067136
2014-05-14 17:35 dbaz Status resolved => new
2014-05-14 17:35 dbaz Resolution fixed => open
2014-05-14 17:35 dbaz Note Deleted: 0067136
2014-05-14 17:35 dbaz Status new => scheduled
2014-05-14 17:35 dbaz fix_in_branch => pi
2014-05-14 17:35 dbaz Status scheduled => resolved
2014-05-14 17:35 dbaz Resolution open => fixed
2014-05-15 17:34 hudsonbot Checkin
2014-05-15 17:34 hudsonbot Note Added: 0067164
2014-05-16 09:36 alostale Note Added: 0067202
2014-05-16 09:36 alostale Status resolved => closed
2014-05-16 09:36 alostale Fixed in Version => PR14Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker